/* Custom Styles*/


html, body { font-family: var(--ai-fontFamily); font-size: var(--ai-fontSize); }
body { margin: 0; line-height: 1.5; color: var(--ai-textColor); background-color: var(--ai-bodyBG); }


.ai-chat-page { height: 100vh; display: grid; grid-template-columns: 1fr; grid-template-rows: auto 1fr auto; grid-auto-flow: row; grid-template-areas:
        "header"
        "main"
        "footer"; }

.ai-chat-page__header { grid-area: header; width: 100%; display: flex; justify-content: space-between; align-items: center; padding: 1rem 0 1rem 1rem; }
.ai-chat-page__messages { grid-area: main; overflow: auto; display: grid; grid-template-rows: 1fr; grid-template-columns: 1fr minmax(0, var(--ai-pageWidth)) 1fr; padding: 1rem; }
.ai-chat-page__question { grid-area: footer; width: 100%; display: grid; grid-template-rows: 1fr; grid-template-columns: 1fr minmax(0, var(--ai-pageWidth)) 1fr; }


.hidden { display: none; }

.fullscreen-alert { display: flex; height: 100vh; align-items: center; justify-content: center; flex-direction: column; gap: 1rem; }
    .fullscreen-alert > i { font-size: 4rem; color: var(--ai-red) }
    .fullscreen-alert > h1 { font-size: 3rem; font-weight: 400; text-align: center; }

.clock-spinner { fill: var(--ai-primary); }
.spinner_small { transform-origin: center; animation: clock_spinner 9s linear infinite }
.spinner_large { transform-origin: center;  animation: clock_spinner .75s linear infinite }

@keyframes clock_spinner {
    100% { transform: rotate(360deg) }
}

.logo { font-size: 1.8rem; display: flex; gap: .5rem; align-items: center; }
.logo i { color: var(--ai-assistant); }
/*.ai-header-actions { display: flex; gap: 1rem; flex-direction: row-reverse; align-items: center; }*/

.ai-header-actions__panel { display: flex; gap: 1rem; flex-direction: column; align-items: center; position: fixed; right: 0; top: 0; height: 100vh; border-left: 1px solid var(--ai-gray4); width: var(--ai-headerActionsWidth); padding: 1rem 0; background: var(--ai-sideBG); z-index: 1; }

    .ai-header-actions__panel.-entrance { animation: slide-in-right .3s cubic-bezier(.25,.46,.45,.94) both }

.ai-logo { height: 40px;}
.ai-robot__eye { fill: #fff }
.ai-robot__face { fill: #fff; opacity: .4; }
.ai-robot__outerface { fill: var(--ai-secondary); }
.ai-robot__ears { fill: var(--ai-secondary); opacity: .4; }

@media only screen and (max-width: 600px) {
    .logo > span { display: none; }
}


/* --------------------*/
/* ---- =SCROLLBARS ------ */
/* --------------------*/
::-webkit-scrollbar { width: 14px; height: 14px; /*display: none;*/ }
/*:hover::-webkit-scrollbar { display: block; }*/
::-webkit-scrollbar-track { background-color: transparent; }
::-webkit-scrollbar-thumb { background-color: #d1d5d6; border-radius: 20px; border: 5px solid transparent; background-clip: content-box; }
::-webkit-scrollbar-corner { background-color: transparent; }

.dark-mode ::-webkit-scrollbar-thumb { background-color: #616566; }


/* =buttons*/
[type=reset], [type=submit], button, html [type=button] { -webkit-appearance: button; }

.ai-btn { display: inline-block; font-weight: 400; text-align: center; white-space: nowrap; vertical-align: middle; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; border: 1px solid transparent; padding: var(--ai-paddingBlock) var(--ai-paddingInline); font-size: 1rem; line-height: 1.5; border-radius: var(--ai-borderRadius); transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out; }

.ai-btn > .fa-solid { flex-shrink: 0; }

.ai-btn.focus, 
.ai-btn:focus { outline: 0; box-shadow: 0 0 0 .2rem hsla(var(--primaryH), var(--primaryS), var(--primaryL), .5); }

.ai-btn:focus, .ai-btn:hover { text-decoration: none; }
.ai-btn:not(:disabled):not(.disabled) { cursor: pointer; }

.ai-btn-primary { color: var(--ai-white); background-color: var(--ai-primary); border-color: var(--ai-primary); }
    .ai-btn-primary:hover { color: var(--ai-white); background-color: var(--ai-primaryHover); border-color: var(--ai-primaryHover); }
    .ai-btn-primary.focus,
    .ai-btn-primary:focus { box-shadow: 0 0 0 .2rem hsla(var(--ai-primaryH), var(--ai-primaryS), var(--ai-primaryL), .5); }

.ai-btn-default { color: var(--ai-textColor); background-color: var(--ai-light); border-color: var(--ai-light); }
    .ai-btn-default:hover { color: var(--ai-textColor); background-color: var(--ai-lightHover); border-color: var(--ai-lightHover); }
    .ai-btn-default.focus,
    .ai-btn-default:focus { box-shadow: 0 0 0 .2rem rgba(0,0,0,.5); }

.ai-btn-secondary { color: var(--ai-white); background-color: var(--ai-secondary); border-color: var(--ai-secondary); }
    .ai-btn-secondary:hover { color: var(--ai-white); background-color: var(--ai-secondaryHover); border-color: var(--ai-secondaryHover); }
    .ai-btn-secondary.focus,
    .ai-btn-secondary:focus { box-shadow: 0 0 0 .2rem hsla(var(--ai-secondaryH), var(--ai-secondaryS), var(--ai-secondaryL), .5); }

.ai-btn-circle { border-radius: 100px; padding: 0; flex-shrink: 0; }
.ai-btn-md { height: var(--ai-mdHeight); }

.ai-btn-circle.ai-btn-md { height: var(--ai-mdHeight); width: var(--ai-mdWidth); }
.ai-btn-square.ai-btn-md { height: var(--ai-mdHeight); width: var(--ai-mdWidth); }

.ai-btn.ai-btn-simple { background: hsla( var(--ai-primaryH), var(--ai-primaryS), 94%, 1 ); border: none; color: var(--ai-primaryHover); font-size: .9em; }
.ai-btn.ai-btn-simple:hover { background: hsla( var(--ai-primaryH), var(--ai-primaryS), 88%, 1 ); }

.ai-btn.ai-btn-white { background: transparent; border: none; color: var(--ai-white); border: 1px solid transparent; font-size: 1.2em; }
    .ai-btn.ai-btn-white:hover,
    .ai-btn.ai-btn-white:focus { background: transparent; color: var(--ai-white); }
        .ai-btn.ai-btn-white:hover .ai-btn__icon,
        .ai-btn.ai-btn-white:focus .ai-btn__icon { background: hsla(0deg, 0%, 100%, 0.1); }


.ai-header-actions .ai-btn__text { font-size: .7em; font-weight: 300; white-space: normal; }
.ai-header-actions .ai-btn__icon { border-radius: 6px; padding: 3px; }
.ai-header-actions i[class^="fa"] { font-size: 1.5em; }

.ai-header-actions .ai-btn { display: flex; gap: .5rem; align-items: center; font-size: 1em; justify-content: center; flex-direction: column; }

/* =tags*/
.ai-tag { display: inline-block; font-weight: 400; text-align: center; vertical-align: middle; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; border: 1px solid transparent; padding: var(--ai-paddingBlock) 10px; padding-right: 3px; font-size: 1rem; line-height: 1.5; border-radius: 20px; transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out; }

    .ai-tag.ai-tag-minimal { text-align: left; padding-right: 0; display: flex; align-items: flex-start; }

.ai-tag.focus,
.ai-tag:focus { outline: 0; box-shadow: 0 0 0 .2rem rgba(0,123,255,.25); }

.ai-tag-primary { color: var(--ai-white); background-color: var(--ai-primary); border-color: var(--ai-primary); }
    .ai-tag-primary:hover { color: var(--ai-white); background-color: var(--ai-primaryHover); border-color: var(--ai-primaryHover); }
    .ai-tag-primary.focus,
    .ai-tag-primary:focus { box-shadow: 0 0 0 .2rem hsla(var(--ai-primaryH), var(--ai-primaryS), var(--ai-primaryL), .5); }

.ai-tag-secondary { color: var(--ai-white); background-color: var(--ai-secondary); border-color: var(--ai-secondary); }
    .ai-tag-secondary:hover { color: var(--ai-white); background-color: var(--ai-secondaryHover); border-color: var(--ai-secondaryHover); }
    .ai-tag-secondary.focus,
    .ai-tag-secondary:focus { box-shadow: 0 0 0 .2rem hsla(var(--ai-secondaryH), var(--ai-secondaryS), var(--ai-secondaryL), .5); }

.ai-tag-secondary-r { color: var(--ai-secondary); background-color: transparent; border-color: var(--ai-secondary); }
    .ai-tag-secondary-r:hover { color: var(--ai-white); background-color: var(--ai-secondaryHover); border-color: var(--ai-secondaryHover); }
    .ai-tag-secondary-r.focus,
    .ai-tag-secondary-r:focus { box-shadow: 0 0 0 .2rem hsla(var(--ai-secondaryH), var(--ai-secondaryS), var(--ai-secondaryL), .5); }

    .ai-tag-secondary.ai-tag-minimal { color: var(--ai-secondary); background-color: var(--ai-white); border-color: transparent; }
        .ai-tag-secondary.ai-tag-minimal:hover { color: var(--ai-secondary); background-color: none; border-color: transparent; text-decoration: underline; }
    .ai-tag-secondary.ai-tag-minimal.focus,
    .ai-tag-secondary.ai-tag-minimal:focus { box-shadow: 0 0 0 .2rem hsla(var(--ai-secondaryH), var(--ai-secondaryS), var(--ai-secondaryL), .5); }

.ai-tag-default { color: var(--ai-textColor); background-color: var(--ai-light); border-color: var(--ai-light); }
    .ai-tag-default:hover { color: var(--ai-textColor); background-color: var(--ai-lightHover); border-color: var(--ai-lightHover); }
    .ai-tag-default.focus,
    .ai-tag-default:focus { box-shadow: 0 0 0 .2rem rgba(0,0,0,.5); }

span.ai-tag__text { font-size: .9em;}

span.ai-tag__icon { background: var(--ai-secondaryHover); display: inline-block; width: 20px; border-radius: 100px; margin-left: 5px; color: var(--ai-white); }
span.ai-tag__num { background: var(--ai-white); display: inline-block; width: 20px; border-radius: 100px; margin-right: 5px; margin-left: -2px; color: var(--ai-secondary); }
span.ai-tag__num:first-child { margin-left: -7px; }

.ai-tag-secondary.ai-tag-minimal span.ai-tag__icon { background: hsla(var(--ai-secondaryH), var(--ai-secondaryS), 94%, 1); display: inline-block; width: 20px; border-radius: 100px; margin-left: 5px; color: var(--ai-secondary); text-align: center; }
.ai-tag-secondary.ai-tag-minimal span.ai-tag__num { background: var(--ai-secondaryHover); display: inline-block; width: 20px; border-radius: 100px; margin-right: 5px; margin-left: -2px; color: var(--ai-secondary); color: var(--ai-white); text-align: center; flex-shrink: 0; }
.ai-tag-secondary.ai-tag-minimal span.ai-tag__num:first-child { margin-left: 0; }

.ai-more-btn .ai-tag { padding-right: 10px; }
.ai-more-btn { padding-left: 2rem; }

.ai-question-box { background: var(--questionBG); padding: .5rem; /*position: fixed; bottom: 0; width: calc(100% - 2rem);*/ display: flex; gap: 3px; align-items: center; border-radius: var(--ai-borderRadius); border: 1px solid var(--ai-gray4); transition: all ease-in-out .1s; grid-column: 2; }
    
    .ai-question-box .ai-btn-square.ai-btn-md { align-self: flex-end; }
    .ai-question-box:has(textarea:focus) { border: 1px solid var(--ai-primary); background: var(--ai-white); }

    .grow-wrap { display: grid; flex: 1; }
    .grow-wrap::after { content: attr(data-replicated-value) " ";  white-space: pre-wrap; visibility: hidden; }
    .grow-wrap > textarea { resize: none; overflow: hidden; border-radius: var(--ai-borderRadius); border-color: transparent; }
    .grow-wrap > textarea:focus { border-color: transparent; outline: none; }
    .grow-wrap > textarea,
    .grow-wrap::after { /* Identical styling required!! */ padding: 0; font: inherit; /* Place on top of each other */ grid-area: 1 / 1 / 2 / 2; max-height: 50vh; overflow: auto; border: 1px solid transparent; background: transparent; text-indent: 1rem;  }

.ai-question-box textarea::placeholder { color: #212526; }
.ai-question-box textarea:focus::placeholder { color: transparent; }


/*.ai-chat-section { padding: 20px; color: var(--ai-textColor); background: var(--ai-white); border: 1px solid var(--ai-gray4); border-radius: 4px; }*/

.ai-chat-section { line-height: 1.8; overflow-wrap: break-word; }
.ai-drawer .ai-chat-section { line-height: 1.8; font-size: 1rem; }
.ai-drawer.fullscreen .ai-chat-section { line-height: 1.8; font-size: 1rem; }

.ai-drawer-resizable:hover .ai-drawer-resizer { background: #adadad; }
.ai-drawer-resizer { position: absolute; left: 0; top: 0; height: 100%; width: 0.25rem; background: transparent; cursor: col-resize; z-index: 1; }
.ai-drawer__text h1 { font-size: 1.8em; margin-bottom: 1.5rem; }
.ai-chat-section h1 { font-size: 1.8em; margin-bottom: 1.5rem; }
.ai-chat-section h2 { font-size: 1.5em; margin-bottom: 0; }
.ai-chat-section h3 { font-size: 1.4em; margin-bottom: 0; }
.ai-chat-section h4 { font-size: 1em; margin-bottom: 0; }
.ai-chat-section h5 { font-size: .9em; margin-bottom: 0; }
.ai-chat-section h6 { margin-top: 0.8em; margin-bottom: 0; }

.ai-chat-section p  { margin: 0 0 1rem 0; line-height: 1.4;  }
.ai-chat-section li { margin: 0 0 1rem 0; line-height: 1.4;  }
.ai-chat-section ul { margin: 1rem 0; line-height: 1.4;  }
.ai-drawer img { height: auto; max-width: 100%;  }

.ai-chat-section a { color: #0366d6; text-decoration: none; }
.ai-chat-section a:hover { text-decoration: underline; }

.ai-chat-section blockquote { margin: 0; padding: 0 1em; color: #6a737d; border-left: 0.25em solid #dfe2e5; }
.ai-chat-section code { background-color: rgba(27,31,35,0.05); border-radius: 3px; font-size: 85%; padding: 0.2em 0.4em; }
.ai-chat-section pre { background-color: #f6f8fa; padding: 1em; border: 1px solid #ddd; border-radius: 3px; }
.ai-chat-section pre code { background-color: transparent; border: 0; }

.ai-preloader {  display: flex; align-items: center; justify-content: center; padding: .5rem 1rem; }
.ai-preloader-wrapper { background: var(--ai-primary); padding: 5px 10px; border-radius: 100px; background: transparent; }
.ai-preloader svg { width: 50px; height: auto; fill: var(--ai-assistant); }

.ai-chat-message-list { list-style: none; margin: 0; padding: 0; display: flex; flex-direction: column; gap: 2rem; grid-column: 2;  }

.ai-chat-message { display: flex; gap: 1.2rem; justify-content: flex-start; align-items: flex-start }
.ai-chat-message.ai-user-message { flex-direction: row-reverse; }

.ai-chat-message__msg { padding: 0; border-radius: 10px; background: transparent; margin: 0; position: relative; }

.ai-chat-message__avatar { background: transparent; border-radius: 100px; width: 40px; height: 40px; overflow: hidden; margin: 0; padding: 0; border: 2px solid rgba(255, 255, 255, 0.24); display: flex; align-items: center; justify-content: center; font-size: 2rem; color: var(--ai-assistant); flex-shrink: 0; display: none;  }

.ai-chat-message.ai-user-message .ai-chat-message__avatar { background: var(--ai-user); color: var(--ai-white); font-size: 1.2rem;  }

.ai-chat-message__role { font-size: 1.4rem; margin-top: .5rem; display: none; }

.ai-chat-message__timestamp { color: var(--ai-gray); font-size: .8em; padding: 5px; display: none; }

/*.ai-chat-message::before { right: auto; left: -20px; top: 50%; border: solid transparent; content: ""; height: 0; width: 0; position: absolute; pointer-events: none; border-color: rgba(136, 183, 213, 0); border-right-color: var(--ai-primary); border-width: 10px; transform: translateY(-50%); }
*/

.ai-chat-message.ai-user-message .ai-chat-message__content { color: var(--ai-white); background: var(--ai-primary); border-radius: 10px; margin: 0; padding: 0.5rem 1rem }
    .ai-chat-message.ai-user-message .ai-chat-message__msg p { margin: 0; }
.ai-chat-message.ai-user-message .ai-chat-message__timestamp { color: var(--ai-white); font-size: .6em; font-weight: 300; padding: 0 5px; display: inline; opacity: .5; }

.ai-chat-message.ai-user-message .ai-chat-message__content::before { left: auto; right: -13px; top: 20px; border: solid transparent; content: ""; height: 0; width: 0; position: absolute; pointer-events: none; border-color: rgba(136, 183, 213, 0); border-left-color: var(--ai-primary); border-width: 7px; transform: translateY(-50%); display: none; }

.ai-chat-message.ai-user-message .ai-chat-message__content {/* flex-direction: row-reverse; text-align: right;*/ position: relative; }

.ai-chat-message__content { margin-right: calc(40px + 1.2rem); }

.ai-chat-message.ai-user-message .ai-chat-message__content { margin-left: calc(20% + 1.2rem); margin-right: 0; }

/*.ai-chat-message-list li:first-child p { text-align: center; width: 100%; font-size: 2rem; }*/
.ai-chat-message-list > li:first-child {margin-top: 30%; }
.ai-chat-message-list > li:first-child .ai-chat-message:not(.ai-user-message) { text-align: center; width: 100%; font-size: 2rem; justify-content: center; }
.ai-chat-message-list > li:first-child .ai-chat-message__content { margin-right: 0; }

/* =CITATIONS */
.ai-citations { padding: 0 0 0 0; margin: 0 0 1rem 0; }
.ai-citations-list { list-style: none; display: flex; flex-direction: column; flex-wrap: wrap; gap: .5rem; margin: 0; padding: 0; }
.ai-citations-list li { min-width: 0; }

.ai-chat-message__actions { padding: .5rem 0 0 0; list-style: none; display: flex; gap: .5rem; color: var(--ai-textColor); border-top: 1px solid var(--ai-gray4); justify-content: flex-end; }

.animated-thumb { position: relative; --circle-width: 60px; --cicle1: #f9e8a0; --cicle2: #a8ebc4; --cicle3: #99ceff; }

    .animated-thumb .thumb { animation: scale 1.5s cubic-bezier(0.645, 0.045, 0.355, 1); animation-iteration-count: 1; animation-fill-mode: forwards; animation-delay: 0s; color: var(--ai-primary); text-decoration: none; }
    .animated-thumb.down .thumb { color: var(--ai-secondary); }

@keyframes scale {
    0% { transform: scale(1); }
/*    1% { transform: scale(0); }*/
    20% { transform: scale(0); }
    35% { transform: scale(1.4); }
    40% { transform: scale(1); }
    50% { transform: scale(1.15); }
    65% { transform: scale(1); }
    90% { transform: scale(1); }
    100% { transform: scale(1); }
}

.animated-thumb .circle-wrap { transform: translate(-50%, -50%); position: absolute; top: 50%; left: 50%; pointer-events: none; }

.animated-thumb .circle-lg { width: var(--circle-width); height: var(--circle-width); border-radius: 50%; border-style: solid; border-color: #99ceff; opacity: 0; animation: scaleCircleUp 1.5s cubic-bezier(0.645, 0.045, 0.355, 1); animation-iteration-count: 1; animation-fill-mode: forwards; animation-delay: 0s; }
.animated-thumb.down .circle-lg { animation-name: scaleCircleDown; }

@keyframes scaleCircleUp {
    0% { border-width: calc(var(--circle-width)/2); transform: scale(0); }
    15% { border-color: #f9e8a0; border-width: calc(var(--circle-width)/2); }
    30% { border-color: #a8ebc4; opacity: 1; }
    35% { border-color: #99ceff; }
    50% { border-width: 0; transform: scale(1); opacity: 0.3; }
    100% { border-width: 0; transform: scale(1); opacity: 0; }
}

@keyframes scaleCircleDown {
    0% { border-width: calc(var(--circle-width)/2); transform: scale(0); }
    15% { border-color: #ddf9a0; border-width: calc(var(--circle-width)/2); }
    30% { border-color: #bfa8eb; opacity: 1; }
    35% { border-color: #ff99e4; }
    50% { border-width: 0; transform: scale(1); opacity: 0.3; }
    100% { border-width: 0; transform: scale(1); opacity: 0; }
}

/* =INTENTS */
.ai-intents { padding: 0 0 0 0; margin: 1rem 0; }
.ai-intents h5 { margin-top: 1.5rem; font-size: 1rem; text-align: center; }
.ai-intents-list { list-style: none; display: flex; flex-wrap: wrap; gap: .5rem; margin: 0; padding: 0; padding-right: 1rem; justify-content: center; }
.ai-intents-list li { min-width: 0; }
.ai-intents-list .ai-btn { max-width: 100%; white-space: normal; text-align: left; border-radius: 10px; }

/* =DISCLAIMER */
.ai-disclaimer { text-align: center; font-size: .8rem; font-weight: 300; color: var(--gray-drak); grid-column: 2; padding-block: 5px; }

/* =INTRODUCTION */
.ai-introduction { text-align: center; font-size: 2rem; font-weight: 400; grid-column: 2; padding-bottom: 1rem; color: var(--ai-textColor); }

/* --------------------*/
/* ---- =DRAWER ------ */
/* --------------------*/
.ai-drawer { position: fixed; right: 0; top: 0; height: 100vh; z-index: 10002; }
.ai-drawer__content { width: var(--ai-drawerWidth); max-width: 100vw; min-width: 250px; position: fixed; right: 0; top: 0; height: 100vh; background-color: var(--ai-gray1); display: flex; flex-direction: column; justify-content: space-between; box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 1px, rgba(0, 0, 0, 0.07) 0px 2px 2px, rgba(0, 0, 0, 0.07) 0px 4px 4px, rgba(0, 0, 0, 0.07) 0px 8px 8px, rgba(0, 0, 0, 0.07) 0px 16px 16px; }

.ai-drawer__header { display: flex; justify-content: space-between; align-items: center; padding: 1rem; border: none; border-radius: 0; position: relative; }
.ai-drawer__header .blazor-dialog-title { flex: 1; }

.ai-drawer__header h2 { color: var(--ai-textColor); font-size: 1.4rem; margin: 0; font-weight: 600;  }

.ai-drawer__body { padding: 1rem; height: 100%; overflow: auto; display: grid; grid-template-columns: 1fr minmax(0, var(--ai-pageWidth)) 1fr; }

.ai-drawer__footer { display: flex; justify-content: flex-end; align-items: center; padding: 1rem; border: none; }
.ai-drawer__footer:has(.footer-left) { justify-content: space-between; }

.slide-in-right { animation: slide-in-right .2s cubic-bezier(.25,.46,.45,.94) both }

.ai-drawer.fullscreen { width: 100%; display: grid; grid-template-rows: 1fr; grid-template-columns: 1fr minmax(0, var(--ai-pageWidth)) 1fr; }
.ai-drawer.fullscreen .ai-drawer__content { width: 100% !important; }
.ai-drawer .ai-drawer__text { grid-column: 2; }




/* --------------------*/
/* ---- =Action Buttons ------ */
/* --------------------*/

.ai-drawer__actions { list-style: none; margin: 0; padding:0; display: flex; justify-content: flex-end; align-items: center; width: 100%; gap: .5rem; }
.ai-action { font-size: 18px; cursor: pointer; width: 28px; height: 28px; text-align: center; line-height: 0; border-radius: 100% !important; transition: .15s all ease-in; opacity: 1; display: inline-flex; align-items: center; justify-content: center; padding: 0; background: none; border: none; color: inherit; }
.ai-action:hover { opacity: 1; background: var(--ai-gray4) !important; }

.ai-drawer.fullscreen .ai-drawer__actions { justify-content: flex-end; }
.ai-drawer:not(.fullscreen) .ai-drawer__actions > li:has(.ai-download) { margin-right: auto; }

/*.ai-header-actions > .ai-action { font-size: 22px;}*/


/* --------------------*/
/* ---- =Toast Alerts ------ */
/* --------------------*/

.ai-toastalert { width: 350px; max-width: 100%; pointer-events: auto; background-color: rgba(255,255,255,.85); background-clip: padding-box; border: 1px solid rgba(0,0,0,.1); box-shadow: 0 .5rem 1rem rgba(0,0,0,.15); border-radius: var(--ai-borderRadius); position: fixed; z-index: 1; bottom: 2rem; right: 1rem; padding: 1rem; display: flex; align-items: center; gap: 1rem; }

.ai-toastalert.-warning { background: var(--ai-danger); color: var(--ai-white); }
.ai-toastalert__icon { font-size: 2rem; }

.ai-toastalert .ai-action { margin-left: auto; }
.ai-toastalert .ai-action:hover { opacity: 1; background: hsl(192deg, 9%, 90%, 27%) !important; }

.fade-in-bottom { -webkit-animation: fade-in-bottom 0.6s cubic-bezier(0.390, 0.575, 0.565, 1.000) both; animation: fade-in-bottom 0.6s cubic-bezier(0.390, 0.575, 0.565, 1.000) both; }



/* --------------------*/
/* ---- =Languages ------ */
/* --------------------*/

.languages { position: relative; display: flex; align-items: center; margin-top: auto; }
    .languages .ai-btn { padding: 0; border-radius: 100px; line-height: 0; border: 1px solid transparent; transition: all .1s ease-in; }
        .languages .ai-btn:hover { border: 1px solid #fff; }
    .languages .flag-icon { width: 30px; height: 30px;  }
    .languages .flag-mask { overflow: hidden; border-radius: 100px; }

/*.languages__menu-toggle::after { display: inline-block; margin-left: 0.255em; vertical-align: 0.255em; content: ""; border-top: 0.3rem solid var(--primary); border-right: 0.25rem solid transparent; border-bottom: 0; border-left: 0.25rem solid transparent; }
*/

.languages__menu { position: absolute; top: 100%; right: 0; z-index: 1000; display: none; margin: 5px 0 0 0; font-size: 1rem; color: #212529; text-align: left; list-style: none; background-clip: padding-box; border: none; padding: 0; transition: all .2s ease-in; overflow: hidden; animation: fade-in-top 0.3s cubic-bezier(0.215, 0.610, 0.355, 1.000) both; }

    .languages__menu li { padding: 0; cursor: pointer; display: flex; align-items: center; flex-direction: row-reverse; position: relative; border: 1px solid var(--ai-white); border-radius: 100px; }
        .languages__menu li:hover { border-color: var(--ai-white); }
    .languages__menu.-visible { display: block; }

/* --------------------*/
/* ---- =History ------ */
/* --------------------*/

:root { 
    --ai-history-panel-width: 300px; 
    --ai-history-panel-button-width: 40px; 
}
/*
.ai-history { position: fixed; z-index: 10000; width: calc(var(--ai-history-panel-width) + var(--ai-history-panel-button-width)); height: 100vh; top: 0; right: 0; display: flex; align-items: flex-start; max-width: 100%; } */

.ai-history.-entrance { animation: slide-in-right .3s cubic-bezier(.25,.46,.45,.94) both }
.ai-history.-exit { animation: slide-out-right .3s cubic-bezier(.25,.46,.45,.94) both }

/*.ai-floating-btn { width: var(--ai-history-panel-button-width); height: var(--ai-history-panel-button-width); border-radius: 100px; border-top-right-radius: 0; border-bottom-right-radius: 0; font-size: 1.2rem; z-index: 10000; transition: all .2s cubic-bezier(.25,.46,.45,.94); }

.ai-floating-btn.-visible {*/ /*width: 30px; height: 30px; border-radius: 100px !important;*/ /*position: absolute; right: 0; top: var(--ai-history-panel-top); transform: translateX(calc(-1*var(--ai-history-panel-width))); font-size: 1rem; z-index: 10000; }
.ai-floating-btn.-hidden { display: none; }*/

/*.ai-history-panel { padding: 0 0 1rem 0;*/ /* border-bottom-left-radius: 10px; */ /*height: 100%; max-height: 100vh; display: flex; flex-direction: column; justify-content: flex-start; background: #f1f5f6; }

.ai-history-panel__header { padding: 0 .5rem 0 1rem; display: flex; align-items: center; justify-content: space-between; margin-bottom: 1rem; height: var(--ai-history-panel-button-width); }
.ai-history-panel__header h2 { font-size: 1.2rem; margin: 0; }
.ai-history-panel__header .ai-action:hover { opacity: 1; background: var(--ai-secondaryHover) !important; }*/



.ai-history-list { list-style: none; margin: 0; padding: 0; width: 100%; display: flex; flex-direction: column; gap: .5rem; min-height: 0; overflow: auto; grid-column: 2; }
.ai-history-item { position: relative; display: flex; justify-content: space-between; align-items: center; padding: 2px 5px; border-radius: 6px; cursor: pointer; transition: .1s ease-in-out all; gap: 5px; }
.ai-history-item:has(.-visible),
.ai-history-item:hover { background: #fff; }
.ai-history-item > span:first-child {  white-space: nowrap; text-overflow: ellipsis; overflow: hidden; }




.ai-actions-menu { list-style: none; margin: 0; padding: .5rem; background: #fafbfc; border-radius: 10px; box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px; width: 100px; animation: fade-in-bottom-sm 0.2s cubic-bezier(0.215, 0.610, 0.355, 1.000) both; position: absolute; right: 0; top: 20px; z-index: 1; display: none; }

    .ai-actions-menu.-visible { display: block; }

    .ai-actions-item { display: flex; gap: 5px; align-items: center; }
.ai-actions-item:hover { opacity: .7; cursor: pointer; }

.ai-actions-icon { width: 20px; height: 20px; display: flex; justify-content: center; align-items: center; }

.ai-actions-item.-delete { color: var(--ai-assistant); }



/* --------------------*/
/* ---- =ANIMATIONS ------ */
/* --------------------*/


/* animation fade-in-bottom */

@keyframes fade-in-bottom {
    0% { transform: translateY(50px); opacity: 0; }
    100% { transform: translateY(0); opacity: 1; }
}

@keyframes fade-in-bottom-sm {
    0% { transform: translateY(10px); opacity: 0; }
    100% { transform: translateY(0); opacity: 1; }
}


/* animation fade-in-top */

@keyframes fade-in-top {
    0% { transform: translateY(0); opacity: 0; }
    100% { transform: translateY(-80px); opacity: 1; }
}


/* animation slide-in-right */

@keyframes slide-in-right {
    0% { transform: translateX(1000px); opacity: 0 }
    100% { transform: translate(0); opacity: 1 }
}


/* animation slide-in-left */

@keyframes slide-out-right {
    0% { transform: translate(0); opacity: 1 }
    100% { transform: translateX(1000px); opacity: 0 }
}

/* --------------------*/
/* ---- =RESPONSIVE ------ */
/* --------------------*/
@media (max-width: 768px) {
    :root { --ai-history-panel-width: 330px; --ai-drawerWidth: 100vw; }

    .logo { font-size: 1.5rem; }
    .ai-chat-page__header { padding: .5rem; }
    .ai-header-actions { align-items: flex-start; }
    .ai-chat-page__question { padding: 1rem 1rem 0 1rem; }
    .ai-toastalert { width: calc(100% - 2rem); bottom: 6rem; }
    .ai-drawer.fullscreen .ai-chat-section { padding: 1rem; }
    li:has(.ai-expand) { display: none; }

    .ai-introduction { font-size: 1.5rem; }

    .ai-chat-message__content { margin-right: 0; }
    .ai-chat-message.ai-user-message .ai-chat-message__content { margin-left: 1.2rem; margin-right: 0; }

    .ai-chat-message { gap: 0.5rem; }
    .ai-chat-message.ai-user-message { gap: 1rem; }

    .ai-header-actions__panel.-exit { animation: slide-out-right .3s cubic-bezier(.25,.46,.45,.94) both }

    .fullscreen-alert > h1 { font-size: 2rem; font-weight: 600; }
    .fullscreen-alert > h2 { font-size: 1.5rem; font-weight: 400; }
}

@media (min-width: 990px) {
    :root { --ai-headerActionsWidth: 60px; }
    
    .ai-side { display: none; }
    .ai-header-actions__panel { display: flex; }

    .ai-header-actions__panel > .ai-close { display: none; }
}